{{ define "main" }}
  <main aria-role="main">
    <header class="homepage-header">
      <h1>{{.Title}}</h1>
      {{ with .Params.subtitle }}
      <span class="subtitle">{{.}}</span>
      {{ end }}
    </header>
    <div class="homepage-content">
      {{.Content}}
    </div>
    
    <a href="/blogs/blog.document"> Documentación Información  </a>

    <h2>Contenidos:</h2>
    <ul>
        <!-- Ranges through content/posts/*.md -->
        {{ range .Pages }}
            <li>
                <a href="{{.Permalink}}">{{.Date.Format "2006-01-02"}} | {{.Title}}-- {{ .Params.extra}}    </a>
            </li>
        {{ end }}
    </ul>




<h3>Categorias actuales:</h3>

       Todas las categorias:
        <ul id="all-tags">
          {{ range $name, $taxonomy := .Site.Taxonomies.categories }}
            <li><a href="{{ "/categories/" | relLangURL }}{{ $name | urlize }}">{{ $name }}</a></li>
          {{ end }}
        </ul>
        Todas los tipos de proyecto:
        <ul id="all-tags">
          {{ range $name, $taxonomy := .Site.Taxonomies.typeProjects }}
            <li><a href="{{ "/typeprojects/" | relLangURL }}{{ $name | urlize }}">{{ $name }}</a></li>
          {{ end }}
        </ul>
        Todas los tipos de Front:
        <ul id="all-tags">
          {{ range $name, $taxonomy := .Site.Taxonomies.typeFronts }}
            <li><a href="{{ "/typefronts/" | relLangURL }}{{ $name | urlize }}">{{ $name }}</a></li>
          {{ end }}
        </ul>

        Todas los tags de Front:
        <ul id="all-tags">
          {{ range $name, $taxonomy := .Site.Taxonomies.tags }}
            <li><a href="{{ "/tags/" | relLangURL }}{{ $name | urlize }}">{{ $name }}</a></li>
          {{ end }}
        </ul>

        
    <!-- <div>
      {{ range first 10 .Site.RegularPages }}
      {{ .Title}}    
      {{ .Params.extra}}    
      {{ .Render "summary"}}          
      {{ end }}
    </div> -->
  </main>
{{ end }}